<?php
namespace app\index\controller;

use think\facade\Log;

class Index
{
    private $mAdminUrl = '';
    public function __construct()
    {
//        $this->mAdminUrl = 'http://host.docker.internal:8080';
        $this->mAdminUrl = 'https://apizng.eavic.com';
    }

    public function index()
    {
        $result = curl_get_https( 'https://www.baidu.com' ,['order_sn' => 1]);
        if($result == false){
            Log::record('CheckOrder Error:'.$result);
            json_return(5001,[],'网络错误');
        }
        pre($result);
    }
    //检查订单号码
    public function CheckOrder(){
        $order_sn = input('param.order_sn');
        $result = http_get($this->mAdminUrl . '/CheckOrder' ,['order_sn' => $order_sn]);
        if($result == false){
            Log::record('CheckOrder Error:'.$result);
            json_return(5001,[],'网络错误');
        }

        if($result['code'] != 0) {
            json_return($result['code'],[],$result['msg']);
        }
        else {
            json_success($result['data']);
        }
    }
    public function CheckFcode(){
        $code = input('param.code');
        $result = http_get($this->mAdminUrl . '/CheckFcode' ,['code' => $code]);
        if($result == false){
            Log::record('CheckFcode Error:'.$result);
            json_return(5001,[],'网络错误');
        }
        if($result['code'] != 0){
            json_return($result['code'],[],$result['msg']);
        }
        else {
            json_success($result['data']);
        }
    }
    //上报存柜
    public function RecordStore()
    {
        $order_sn = input('param.order_sn');
        $trunk = input('param.trunk');
        $cabinet = input('param.cabinet');
        $result = http_get($this->mAdminUrl . '/RecordStore' ,['order_sn' => $order_sn , 'trunk' => $trunk , 'cabinet' => $cabinet]);
        if($result == false){
            Log::record('RecordStore Error:'.$result);
            json_return(5001,[],'网络错误');
        }
        if($result['code'] != 0){
            json_return($result['code'],[],$result['msg']);
        } else {
            json_success($result['data']);
        }
    }

    //检查订单号码
    public function RecordFetch(){
        $trunk = input('param.trunk');
        $cabinet = input('param.cabinet');
        $result = http_get($this->mAdminUrl . '/RecordFetch' ,['trunk' => $trunk , 'cabinet' => $cabinet]);
        if($result == false){
            Log::record('RecordFetch Error:'.$result);
            json_return(5001,[],'网络错误');
        }
        if($result['code'] != 0){
            json_return($result['code'],[],$result['msg']);
        }
        json_success($result['data']);
    }
}
