<?php


define('BASE_ROOT_PATH',str_replace('/queue','',dirname(__FILE__)));
define('BASE_PATH',BASE_ROOT_PATH . '/queue');
define('BASE_DATA_PATH',BASE_ROOT_PATH . '/data');
define('APP_ID','queue');

require_once(BASE_ROOT_PATH . '/other/config.ini.php');
require_once(BASE_ROOT_PATH . '/extend/queue.php');
require_once(BASE_ROOT_PATH . '/extend/queue.logic.php');
require_once(BASE_ROOT_PATH . '/extend/log.php');
require_once(BASE_ROOT_PATH . '/extend/http.php');
require_once(BASE_PATH . '/queuehandler.php');

Log::record('xxxxxx',Log::DEBUG);
$handler = new queuehandler();

while (true) {
    try {
        $handler->run();
    }
    catch (Exception $ex) {
        Log::record('queue is connecting.....',Log::DEBUG);
    }
    sleep(1);
}
